Function
shareResources
Determines whether two sequences share the same resource.
bool shareResources(sequence1, sequence2)
Include Headers
seqan/sequence.h
Parameters

sequence1, sequence2 | Two sequences. Types: Segment, String

Remarks
Non-sequences are interpreted as sequences of size 1.
Note that this function may not work properly for argument types that are not listed here.
Return Values
false if it can be guaranteed that sequence1 and sequence2 can be modified without changing each other, true otherwise.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49